{% extends "teams/base.html" %}
{% load render_bundle from webpack_loader %}

{% block style %}
{{ block.super }}
{% render_bundle 'hunts_event' 'css' %}
{% endblock %}

{% block page_header %}
	<h1>{{ event_title }}</h1>
{% endblock %}

{% block webpack_script %}
<script>
"use strict"
var eventTitle = '{{ event.name }}'
</script>
{% render_bundle 'hunts_event' 'js' attrs='defer' %}
{% endblock %}

{% block content %}

	{% if episodes|length > 0 %}
		{% if position %}
			<div id="event-complete" class="event-completed event-completed-{{ position }}">
				<p>Your team came {{ position_text }}{% if finished_category %} in category {{ finished_category.display_label }}{% endif %}!</p>
			</div>
		{% endif %}
		<div class="col-md-12">
			<ul id="ep-list" class="nav nav-tabs" role="tablist">
				{% for episode in episodes %}
					<li class="nav-item" role="presentation">
						<button
							id="episode-{{ episode.index }}-tab"
							class="episode-link nav-link"
					        data-url="{% url 'episode_content' episode_number=episode.index %}"
							data-bs-toggle="tab"
							data-bs-target="#episode-{{ episode.index }}"
							role="tab"
							aria-controls="{{ episode.name }}"
						>
							{{ episode.name }}
						</button>
					</li>
				{% endfor %}
			</ul>
			<div class="tab-content" id="ep">
				{% for episode in episodes %}
					<div
						class="tab-pane fade"
						id="episode-{{ episode.index }}"
						role="tabpanel"
						aria-labelledby="episode-{{ episode.index }}-tab"
					>
					</div>
				{% endfor %}
			</div>
		</div>

	{% else %}
		<p>
			No episodes are available.
		</p>
	{% endif %}
{% endblock %}
